"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFunctionDefinition = void 0;
const getFunctionDefinition = (functionConfigurations, functionCategoryMap) => {
    const funcDefList = [];
    for (const configuration of functionConfigurations) {
        const funcDef = {};
        funcDef.entry = configuration === null || configuration === void 0 ? void 0 : configuration.Handler;
        funcDef.name = configuration === null || configuration === void 0 ? void 0 : configuration.FunctionName;
        funcDef.timeoutSeconds = configuration === null || configuration === void 0 ? void 0 : configuration.Timeout;
        funcDef.memoryMB = configuration === null || configuration === void 0 ? void 0 : configuration.MemorySize;
        funcDef.environment = configuration === null || configuration === void 0 ? void 0 : configuration.Environment;
        funcDef.runtime = configuration === null || configuration === void 0 ? void 0 : configuration.Runtime;
        if (configuration === null || configuration === void 0 ? void 0 : configuration.FunctionName) {
            funcDef.category = functionCategoryMap.get(configuration === null || configuration === void 0 ? void 0 : configuration.FunctionName.split('-')[0]);
        }
        funcDefList.push(funcDef);
    }
    return funcDefList;
};
exports.getFunctionDefinition = getFunctionDefinition;
//# sourceMappingURL=function_render_adapter.js.map