"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_assert_1 = __importDefault(require("node:assert"));
const function_render_adapter_1 = require("./function_render_adapter");
void describe('function codegen', () => {
    void describe('Function definition', () => {
        void it('sets the correct function configuration', () => {
            const configurations = [];
            const functionConf1 = {};
            functionConf1.FunctionName = 'function1';
            functionConf1.Runtime = 'nodejs18.x';
            functionConf1.Handler = 'index.handler';
            functionConf1.Timeout = 3;
            functionConf1.MemorySize = 128;
            functionConf1.Environment = { Variables: { ENV: 'dev', REGION: 'us-west-2' } };
            configurations.push(functionConf1);
            const result = (0, function_render_adapter_1.getFunctionDefinition)(configurations, new Map([['function1', 'function']]));
            for (const func of result) {
                node_assert_1.default.equal(func.runtime, 'nodejs18.x');
                node_assert_1.default.equal(func.timeoutSeconds, 3);
                node_assert_1.default.equal(func.memoryMB, 128);
                node_assert_1.default.deepEqual(func.environment, { Variables: { ENV: 'dev', REGION: 'us-west-2' } });
                node_assert_1.default.equal(func.entry, 'index.handler');
            }
        });
    });
});
//# sourceMappingURL=function_render_adapter.test.js.map